package app

import (
	"embed"
	"io/fs"
)

var (
	//go:embed ui/dist
	uiFiles embed.FS
	uiDistFS fs.FS
	indexHTML []byte
)

func init() {
	dist, err := fs.Sub(uiFiles, "ui/dist")
	if err != nil {
		return
	}
	uiDistFS = dist
	indexHTML, _ = fs.ReadFile(uiDistFS, "index.html")
}
